Bug 492812 - NM defaults to wireless networks even when plugged in to wired network
NM defaults to wireless networks even when plugged in to wired network
Status: CLOSED DUPLICATE of bug 494240
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-29 17:34 EDT by Sam Garrett
Modified: 2009-11-19 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-19 18:58:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of nm-tool command (1.74 KB, text/plain)
2009-04-11 10:41 EDT, Sam Garrett
no flags Details

  None (edit)
Description Sam Garrett 2009-03-29 17:34:18 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Connect to wired network
2. Restart computer
3. See that NM has connected to wireless network
Actual results:
NetworkManager always connects to wireless network, even when wired network interface is plugged in

Expected results:
Wired network interface by default, select wireless network if wired net is not available

Additional info:
Comment 1 Sjoerd Mullender 2009-04-01 06:47:40 EDT
It's even worse: if there is no wireless network, NetworkManager just doesn't connect at all.  In case it matters, I'm running F11Beta as a VMware client.
Comment 2 Dan Williams 2009-04-08 21:32:22 EDT
What's the output of 'nm-tool' when the cable is plugged in?  If this is running inside a VM, the VM's network device may not support carrier detection, and thus the wired device won't automatically get used.
Comment 3 Sjoerd Mullender 2009-04-09 02:51:52 EDT
I cannot currently reproduce the problem.  I had disabled NetworkManager and enabled the network service, so now to test out nm-tool I had to undo those changes.  But now, NetworkManager does start up the eth0 (wired) connection after I reboot and log in (logging in is done automatically--it's a private VM only used for testing).
Anyway, nm-tool does say (among other things) Carrier Detect: yes.
Comment 4 Niels Haase 2009-04-10 15:48:58 EDT
Reporter, could you please reply to the previous question (comment #2)? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Fedora Bugzappers volunteer triage team
Comment 5 Sam Garrett 2009-04-11 10:41:07 EDT
Created attachment 339184 [details]
Output of nm-tool command

Sorry for the delayed response.

Attached is the output of nm-tool after a cold boot with the computer plugged in to the wired network and in range of my preferred wireless network.  NetworkManager connected to the wireless network, and eth0 remained disconnected.

After looking at the output of this file, I noted that there was no entry for "auto eth0" under "Edit Connections" through the nm-applet.  I manually created an auto-connect entry for eth0, and rebooted.  This time, the wired connection was brought up upon boot.  Also, now if I disconnect the ethernet cable and (after seeing the wireless connection come up) reconnect it, NM defaults back to the wired connection.

So it appears the nature of the problem was that NM was not creating an "auto eth0" entry.
Comment 6 Sam Garrett 2009-04-11 10:41:59 EDT
Also, forgot to mention this - I am running F11 Beta native, not in a VM.
Comment 7 Sjoerd Mullender 2009-04-14 07:02:58 EDT
My experience (comment #3) also points in the direction of comment #5.  After I had switched off NM to get an automatic connection, I switched it back on to answer the question in comment #2.  I had to check the box in system-config-network to indicate that NM had to control eth0 (I may have switched that off when switching to the network service, I don't remember) and after that NM worked.
So the problem seems that NM doesn't work "out of the box" for wired ethernet, but it does seem to work when configured properly.
Comment 8 Dan Williams 2009-04-14 22:08:25 EDT
If you've installed from DVD or CD (ie, not a network install), then your ethernet device will not be enabled by default.  Please check your /etc/sysconfig/network-scripts/ifcfg-eth0 file and look for "ONBOOT=no".  If that is present, then you likely did a DVD or CD install, and anaconda will then not mark your network device for autoconnection.
Comment 9 Bug Zapper 2009-06-09 08:48:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 10 Dan Williams 2009-11-11 11:46:52 EST
Just to confirm, do you happen to remember if you installed from the DVD or CD?
Comment 11 Sam Garrett 2009-11-11 15:55:18 EST
I installed from the DVD.
Comment 12 Dan Williams 2009-11-19 18:58:40 EST
Yeah, then this is expected.  It's more of an installation process issue and not really an NM issue.

*** This bug has been marked as a duplicate of bug 494240 ***

Note You need to log in before you can comment on or make changes to this bug.